%define realname pysqlite

Name:		python-sqlite
Version: 1.0.1
Release: 1mdk
License:	GPL
Group:		Development/Python
Summary:	Python bindings for sqlite
Source0:    %{realname}-%{version}.tar.bz2
Url:		http://pysqlite.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: python-devel sqlite-devel 
%description
This packages allows you to use sqlite with python.
sqliite is a simple database engine.

%prep
%setup -q -n %{realname}
rm -f doc/rest/.*swp
for i in examples doc; do
	find $i -name CVS -type d | xargs rm -Rf 
done;

%build


%install
rm -rf $RPM_BUILD_ROOT
python ./setup.py install --prefix=$RPM_BUILD_ROOT/%_prefix

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc  LICENSE README doc examples
%_libdir/python%pyver/site-packages/*

%changelog
* Fri Jan 21 2005 Michael Scherer <misc@mandrake.org> 1.0.1-1mdk
- New release 1.0.1

* Sat Dec 04 2004 Michael Scherer <misc@mandrake.org> 1.0-2mdk
- Rebuild for new python

* Thu Oct 14 2004 Michael Scherer <misc@mandrake.org> 1.0-1mdk
- New release 1.0

* Tue Aug 17 2004 Michael Scherer <misc@mandrake.org> 0.5.1-1mdk
- New release 0.5.1

* Wed Mar 24 2004 Michael Scherer <mscherer@mandrakesoft.com> 0.5.0-1mdk 
- First Mandrakesoft Package

